%define upstream_name    Parallel-ForkManager
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple parallel processing fork manager
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(POSIX)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.800.0
BuildArch:  noarch

%description
This module is intended for use in operations that can be done in parallel
where the number of processes to be forked off should be limited. Typical
use is a downloader which will be retrieving hundreds/thousands of files.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 537403
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.50.0-1.mga4
+ Revision: 486909
- update to 1.05

* Sun Sep 08 2013 sander85 <sander85> 1.40.0-1.mga4
+ Revision: 476067
- update to 1.04

* Sun Jan 13 2013 umeabot <umeabot> 0.7.9-2.mga3
+ Revision: 371455
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.7.9-1.mga1
+ Revision: 26795
- mageia rebuild
- imported package perl-Parallel-ForkManager


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.7.9-1mdv2011.0
+ Revision: 596636
- update to 0.7.9

* Tue Aug 17 2010 Jérôme Quelin <jquelin@mandriva.org> 0.7.6-1mdv2011.0
+ Revision: 570745
- update to 0.7.6

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.5-1mdv2010.0
+ Revision: 387611
- import perl-Parallel-ForkManager


* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.5-1mdv2009.0
- initial Mandriva package
